Errors installing on Centos 7 with directadmin


#1

Please fill out the fields below so we can help you better.

My domain is:lps55.net

I ran this command: yum install python-certbot-apache

It produced this output:
[root@lps55 ~]# yum install python-certbot-apache
Loaded plugins: fastestmirror, langpacks
base | 3.6 kB 00:00
epel/x86_64/metalink | 3.4 kB 00:00
epel | 4.3 kB 00:00
extras | 3.4 kB 00:00
updates | 3.4 kB 00:00
(1/2): epel/x86_64/updateinfo | 758 kB 00:04
(2/2): epel/x86_64/primary_db | 4.6 MB 00:13
Loading mirror speeds from cached hostfile

  • base: centos.uberglobalmirror.com
  • epel: fedora.uberglobalmirror.com
  • extras: centos.uberglobalmirror.com
  • updates: centos.mirror.crucial.com.au
    Resolving Dependencies
    –> Running transaction check
    β€”> Package python2-certbot-apache.noarch 0:0.11.1-1.el7 will be installed
    –> Processing Dependency: python2-certbot = 0.11.1 for package: python2-certbot-apache-0.11.1-1.el7.noarch
    –> Processing Dependency: certbot = 0.11.1 for package: python2-certbot-apache-0.11.1-1.el7.noarch
    –> Processing Dependency: mod_ssl for package: python2-certbot-apache-0.11.1-1.el7.noarch
    –> Running transaction check
    β€”> Package certbot.noarch 0:0.11.1-2.el7 will be installed
    β€”> Package python2-certbot.noarch 0:0.11.1-2.el7 will be installed
    –> Processing Dependency: python2-acme = 0.11.1 for package: python2-certbot-0.11.1-2.el7.noarch
    –> Processing Dependency: python2-dialog >= 3.3.0 for package: python2-certbot-0.11.1-2.el7.noarch
    –> Processing Dependency: python2-configargparse >= 0.10.0 for package: python2-certbot-0.11.1-2.el7.noarch
    –> Processing Dependency: python-psutil >= 2.1.0 for package: python2-certbot-0.11.1-2.el7.noarch
    –> Processing Dependency: python2-future for package: python2-certbot-0.11.1-2.el7.noarch
    –> Processing Dependency: python-zope-interface for package: python2-certbot-0.11.1-2.el7.noarch
    –> Processing Dependency: python-zope-component for package: python2-certbot-0.11.1-2.el7.noarch
    –> Processing Dependency: python-parsedatetime for package: python2-certbot-0.11.1-2.el7.noarch
    –> Processing Dependency: python-mock for package: python2-certbot-0.11.1-2.el7.noarch
    β€”> Package python2-certbot-apache.noarch 0:0.11.1-1.el7 will be installed
    –> Processing Dependency: mod_ssl for package: python2-certbot-apache-0.11.1-1.el7.noarch
    –> Running transaction check
    β€”> Package python-parsedatetime.noarch 0:1.5-3.el7 will be installed
    β€”> Package python-psutil.x86_64 0:2.2.1-1.el7 will be installed
    β€”> Package python-zope-component.noarch 1:4.1.0-1.el7 will be installed
    –> Processing Dependency: python-zope-event for package: 1:python-zope-component-4.1.0-1.el7.noarch
    β€”> Package python-zope-interface.x86_64 0:4.0.5-4.el7 will be installed
    β€”> Package python2-acme.noarch 0:0.11.1-1.el7 will be installed
    –> Processing Dependency: pyOpenSSL >= 0.13 for package: python2-acme-0.11.1-1.el7.noarch
    –> Processing Dependency: python-requests for package: python2-acme-0.11.1-1.el7.noarch
    –> Processing Dependency: python-pyrfc3339 for package: python2-acme-0.11.1-1.el7.noarch
    –> Processing Dependency: python-pyasn1 for package: python2-acme-0.11.1-1.el7.noarch
    –> Processing Dependency: python-ndg_httpsclient for package: python2-acme-0.11.1-1.el7.noarch
    –> Processing Dependency: python-cryptography for package: python2-acme-0.11.1-1.el7.noarch
    β€”> Package python2-certbot-apache.noarch 0:0.11.1-1.el7 will be installed
    –> Processing Dependency: mod_ssl for package: python2-certbot-apache-0.11.1-1.el7.noarch
    β€”> Package python2-configargparse.noarch 0:0.11.0-1.el7 will be installed
    β€”> Package python2-dialog.noarch 0:3.3.0-6.el7 will be installed
    –> Processing Dependency: dialog for package: python2-dialog-3.3.0-6.el7.noarch
    β€”> Package python2-future.noarch 0:0.16.0-2.el7 will be installed
    β€”> Package python2-mock.noarch 0:1.0.1-9.el7 will be installed
    –> Running transaction check
    β€”> Package dialog.x86_64 0:1.2-4.20130523.el7 will be installed
    β€”> Package pyOpenSSL.x86_64 0:0.13.1-3.el7 will be installed
    β€”> Package python-ndg_httpsclient.noarch 0:0.3.2-1.el7 will be installed
    β€”> Package python-requests.noarch 0:2.6.0-1.el7_1 will be installed
    –> Processing Dependency: python-urllib3 >= 1.10.2-1 for package: python-requests-2.6.0-1.el7_1.noarch
    β€”> Package python-zope-event.noarch 0:4.0.3-2.el7 will be installed
    β€”> Package python2-certbot-apache.noarch 0:0.11.1-1.el7 will be installed
    –> Processing Dependency: mod_ssl for package: python2-certbot-apache-0.11.1-1.el7.noarch
    β€”> Package python2-cryptography.x86_64 0:1.3.1-3.el7 will be installed
    –> Processing Dependency: python-idna >= 2.0 for package: python2-cryptography-1.3.1-3.el7.x86_64
    –> Processing Dependency: python-cffi >= 1.4.1 for package: python2-cryptography-1.3.1-3.el7.x86_64
    –> Processing Dependency: python-ipaddress for package: python2-cryptography-1.3.1-3.el7.x86_64
    –> Processing Dependency: python-enum34 for package: python2-cryptography-1.3.1-3.el7.x86_64
    β€”> Package python2-pyasn1.noarch 0:0.1.9-7.el7 will be installed
    β€”> Package python2-pyrfc3339.noarch 0:1.0-2.el7 will be installed
    –> Running transaction check
    β€”> Package python-cffi.x86_64 0:1.6.0-5.el7 will be installed
    –> Processing Dependency: python-pycparser for package: python-cffi-1.6.0-5.el7.x86_64
    β€”> Package python-enum34.noarch 0:1.0.4-1.el7 will be installed
    β€”> Package python-idna.noarch 0:2.0-1.el7 will be installed
    β€”> Package python-ipaddress.noarch 0:1.0.16-2.el7 will be installed
    β€”> Package python-urllib3.noarch 0:1.10.2-2.el7_1 will be installed
    β€”> Package python2-certbot-apache.noarch 0:0.11.1-1.el7 will be installed
    –> Processing Dependency: mod_ssl for package: python2-certbot-apache-0.11.1-1.el7.noarch
    –> Running transaction check
    β€”> Package python-pycparser.noarch 0:2.14-1.el7 will be installed
    –> Processing Dependency: python-ply for package: python-pycparser-2.14-1.el7.noarch
    β€”> Package python2-certbot-apache.noarch 0:0.11.1-1.el7 will be installed
    –> Processing Dependency: mod_ssl for package: python2-certbot-apache-0.11.1-1.el7.noarch
    –> Running transaction check
    β€”> Package python-ply.noarch 0:3.4-10.el7 will be installed
    β€”> Package python2-certbot-apache.noarch 0:0.11.1-1.el7 will be installed
    –> Processing Dependency: mod_ssl for package: python2-certbot-apache-0.11.1-1.el7.noarch
    –> Finished Dependency Resolution
    Error: Package: python2-certbot-apache-0.11.1-1.el7.noarch (epel)
    Requires: mod_ssl
    You could try using --skip-broken to work around the problem
    You could try running: rpm -Va --nofiles --nodigest
    [root@lps55 ~]#

My operating system is (include version): Centos 7 3.1

My web server is (include version): Server version: Apache/2.4.25 (Unix)

My hosting provider, if applicable, is: this is home server

I can login to a root shell on my machine (yes or no, or I don’t know): yes can as root

I’m using a control panel to manage my site (no, or provide the name and version of the control panel): Version: DirectAdmin v.1.51.3


#2

Hi,
Just a little more about the above problem.
I see the mod_ssl is missing I have tried various ways to get around this. I have installed mod_ssl before I installed DirectAdmin but still get this result when I try to install python-certbot-apache.
After I install DirectAdmin I can not install mod_ssl. If I use the command: yum install mod_ssl I get this result: [root@lps55 ~]# yum install mod_ssl
Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile


#3

hi @lulu88

try a couple of things

A) confirm that you linux repos are working properly

yum list mod_ssl

B) you can confirm that it’s only mod_ssl that’s stopping you from getting certbot working by installing certbot without the apace plugin

sudo yum install certbot

Andrei


#4

Hi Andrei,
Thanks for your reply. I listed mod_ssl. Here is the outcome.
[root@lps55 scripts]# yum list mod_ssl
Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile

Before I installed DA it would always show but since the installation of DA I can no longer list it.

I have since found that DirectAdmin have a LetsEncrypt, script by which we can setup multi-domain certificates for the hostname, and mail domains, all in one value, to make managing SSL for mail a little simpler.

The page is here: https://help.directadmin.com/item.php?id=645

I have used this and found that it has solved my problem.

Thanks again for your interest and help.

Regards
Lucas


#5

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.